#!/usr/bin/python
# encoding: utf-8

'''Dumps all your current tweets to two files'''

import ConfigParser
import getopt, getpass
import os, sys, codecs
import twitter


USAGE = '''Whenever you feel like it.'''

def PrintUsageAndExit():
  print USAGE
  sys.exit(2)

def main():
  username = 'youruser'
  password = getpass.getpass("Twitter password for %s:" % username)
  if not username or not password:
    PrintUsageAndExit()
  api = twitter.Api(username=username, password=password, input_encoding=None)
  items = api.GetUserTimeline(count=3000)
  out1 = codecs.open('original.txt', 'w', encoding='utf-8')
  out2 = codecs.open('filtered.txt', 'w', encoding='utf-8')
  for i in items:
    out1.write("%s %s\n" % (i.id, i.text))
    out2.write("%s %s\n" % (i.id, i.text))
  
if __name__ == "__main__":
  main()
