#!/usr/bin/python
# encoding: utf-8

'''
Delete tweets - compares a filtered/final list with the original one and archives the difference. 
Does not store anything besides the ID and the tweet itself (I have no need for timestamps).
'''

import ConfigParser
import getopt, getpass
import os, sys, urllib2, codecs
import twitter


USAGE = '''Whenever possible'''

def PrintUsageAndExit():
  print USAGE
  sys.exit(2)

def main():
  username = 'youruser'
  password = getpass.getpass("Twitter password for %s:" % username)
  api = twitter.Api(username=username, password=password, input_encoding=None)
  items = open("filtered.txt","r").readlines()
  out = codecs.open('deleted.txt', 'a', encoding='utf-8')
  print len(items)
  filtered = {}
  for i in items:
    try:
      (key, value) = i.split(' ',1)
      filtered[key] = value
    except:
      pass
  items = codecs.open("original.txt","r", encoding='utf-8').readlines()
  print len(items)
  for i in items:
    try:
      (key, value) = i.split(' ',1)
    except:
      continue
    if key not in filtered.keys():      
      try:
        print u"deleting %s: %s" % (key, value),
      except:
        pass
      out.write("%s" % (i)) # item includes newline      
      try:
        api.DestroyStatus(key)
      except twitter.TwitterError:
        pass
      except urllib2.HTTPError:
        pass
  
if __name__ == "__main__":
  main()
