#!/usr/bin/python
# encoding: utf-8

"""Dumps all your followers and some basic info about them"""

import ConfigParser
import getopt, getpass
import os, sys, codecs
import twitter

USAGE = '''Whenever there are too many people around.'''

def PrintUsageAndExit():
  print USAGE
  sys.exit(2)

def main():
  username = 'youruser'
  password = getpass.getpass("Twitter password for %s:" % username)
  if not username or not password:
    PrintUsageAndExit()
  api = twitter.Api(username=username, password=password, input_encoding=None)
  out1 = codecs.open('originalfollowers.txt', 'w', encoding='utf-8')
  items = api.GetFollowers()
  for i in items:
    buffer = "%s %s %s %s %s" % (i.id, i.screen_name, i.name, i.description, i.url)
    buffer = buffer.replace('\r','').replace('\n','').strip()
    out1.write("%s\n" % buffer)
  
if __name__ == "__main__":
  main()
